> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pearcheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user verification url

> Endpoint used to get user verification url



## OpenAPI

````yaml POST /api/v1/verify/get_user_verification_url/
openapi: 3.0.3
info:
  title: Pearcheck API Documentation
  version: 1.0.0
  description: This is the official documentation for the Pearcheck backend
servers:
  - url: https://api.pearcheck.com
  - url: https://api-sandbox.pearcheck.com
security: []
paths:
  /api/v1/verify/get_user_verification_url/:
    post:
      tags:
        - api
      operationId: api_v1_verify_get_user_verification_url_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetUserVerificationURL'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/GetUserVerificationURL'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/GetUserVerificationURL'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KYCVerificationURLResponse'
          description: Successful Operation
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request or Internal Error
      security:
        - ApiKeyAuth: []
        - {}
components:
  schemas:
    GetUserVerificationURL:
      type: object
      properties:
        verification_type:
          $ref: '#/components/schemas/VerificationTypeF32Enum'
        send_to_email:
          type: boolean
          default: false
        email_address:
          type: string
          format: email
        first_name:
          type: string
          maxLength: 50
        middle_name:
          type: string
          maxLength: 50
        last_name:
          type: string
          maxLength: 50
        date_of_birth:
          type: string
        phone_number:
          type: string
      required:
        - verification_type
    KYCVerificationURLResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/KYCVerificationURL'
        status:
          type: integer
      required:
        - data
        - status
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      required:
        - error
    VerificationTypeF32Enum:
      enum:
        - ID
        - DOC
        - BIOMETRIC
      type: string
      description: |-
        * `ID` - ID Verification
        * `DOC` - Document Verification
        * `BIOMETRIC` - Biometrics Verification
    KYCVerificationURL:
      type: object
      properties:
        batch_id:
          type: string
          format: uuid
        verification_url:
          type: string
          format: uri
      required:
        - batch_id
        - verification_url
    ErrorDetail:
      type: object
      properties:
        summary:
          type: string
        fields:
          type: object
          additionalProperties:
            type: string
      required:
        - summary
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````